import { Channel, Message, Reducer } from "./index";
import { DataConnection } from "peerjs";
declare type GreetPayload = {
    greet: boolean;
    time: number;
    state: any;
};
export declare class SyncChannel<Data = any, State = any> implements Channel {
    id: string;
    state: State;
    connections: Map<string, DataConnection>;
    initTime: number;
    reducer: Reducer;
    constructor(id: string, reducer: Reducer, connections: Map<string, DataConnection>);
    send(data: Data): void;
    receive(message: Message<Data> & Partial<GreetPayload>): void;
    greet(conn: DataConnection): void;
}
export {};
