/// <reference types="react" />
import { Scene } from "three";
declare type Tool = {
    name: string;
    orderIndex: number;
    icon?: string;
};
declare type Direction = "left" | "right" | "up";
declare type ToolbeltState = {
    tools: Tool[];
    activeTool?: Tool;
    grant: (name: string, icon?: string, orderIndex?: number) => void;
    revoke: (name: string) => void;
    hide: () => void;
    next: () => void;
    prev: () => void;
    show: () => void;
    activeIndex: number | undefined;
    setActiveIndex: (i: number | undefined) => void;
    setActiveTool: (name: string) => void;
    hudScene: Scene;
    direction: Direction;
    setDirection: (dir: Direction) => void;
};
export declare const ToolbeltContext: import("react").Context<ToolbeltState>;
export declare const useToolbelt: () => ToolbeltState;
export declare const useToolbeltState: (showOnSpawn: boolean) => ToolbeltState;
export {};
