import { Idea } from "./idea";
import { HexColorString, Vector3 } from "three";
declare type RefNode = {
    id: string;
    props: any;
    children?: RefNode[];
};
declare type RefTree = RefNode[];
export declare class World {
    id: string;
    predecessor?: string;
    dataUrl?: string;
    upToDate: boolean;
    tree: RefTree;
    creatorIds: number[];
    constructor();
    getIdea(): Idea;
    getAxiom(): Idea;
    getUpNorm(): Vector3;
    getRange(): number;
    getHex(): HexColorString;
}
export {};
