import { MutableRefObject } from "react";
import { PerspectiveCamera, Vector2, WebGLRenderer, WebGLRenderTarget } from "three";
export declare type Photography = {
    resolution: Vector2;
    aspect: Vector2;
    takePicture: () => void;
    renderer: WebGLRenderer;
    target: WebGLRenderTarget;
    data: {
        value?: string;
        set: (v: string | undefined) => void;
    };
};
export declare const usePhotography: (cam: MutableRefObject<PerspectiveCamera | undefined>) => Photography;
